[Rogue Class Transfer]:
In order to become a Treasure Hunter, the Rogue must successfully complete three quests. The Trial of the Seeker can only be undertaken by a player of level 35 or above. This quest begins with Master Dufner of Giran Castle Town. The Testimony of Trust can only be undertaken by a player oflevel 37 or above This quest begins by meeting High Priest Hollint of Oren Castle Town. The Test of the Searcher can be undertaken by a player of level 39 or above. This quest begins with Master Luther of Hunters Village.
Return
Close Window